gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.ToolItemGroup

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Child Attributes

Description

A sub container used in a tool palette

- Module available since Gtk+ version 2.20

Synopsis

- data ToolItemGroup
- class ContainerClass o => ToolItemGroupClass o
- castToToolItemGroup :: GObjectClass obj => obj -> ToolItemGroup
- toToolItemGroup :: ToolItemGroupClass o => o -> ToolItemGroup
- toolItemGroupNew :: GlibString string => string -> IO ToolItemGroup
- toolItemGroupGetDropItem :: ToolItemGroupClass self => self -> (Int, Int) -> IO ToolItem
- toolItemGroupGetItemPosition :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> IO Int
- toolItemGroupGetNItems :: ToolItemGroupClass group => group -> IO Int
- toolItemGroupGetNthItem :: ToolItemGroupClass group => group -> Int -> IO ToolItem
- toolItemGroupInsert :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> Int -> IO ()
- toolItemGroupSetItemPosition :: (ToolItemGroupClass group, ToolItemClass item) => group -> item -> Int -> IO ()
- toolItemGroupCollapsed :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupEllipsize :: ToolItemGroupClass group => Attr group EllipsizeMode
- toolItemGroupHeaderRelief :: ToolItemGroupClass group => Attr group ReliefStyle
- toolItemGroupLabel :: (GlibString string, ToolItemGroupClass group) => Attr group string
- toolItemGroupLabelWidget :: ToolItemGroupClass group => Attr group Widget
- toolItemGroupChildExpand :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildFill :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildHomogeneous :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildNewRow :: ToolItemGroupClass group => Attr group Bool
- toolItemGroupChildPosition :: ToolItemGroupClass group => Attr group Int

# Detail

A `ToolItemGroup` is used together with `ToolPalette` to add `ToolItems` to a palette like container with different categories and drag and drop support.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----ToolItemGroup

# Types

data ToolItemGroup Source #

#### Instances

Instances details

Eq ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ToolItemGroup -> ToolItemGroup -> Bool Source # (/=) :: ToolItemGroup -> ToolItemGroup -> Bool Source #
Ord ToolItemGroup Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ToolItemGroup -> ToolItemGroup -> Ordering Source #

(<) :: ToolItemGroup -> ToolItemGroup -> Bool Source #

(<=) :: ToolItemGroup -> ToolItemGroup -> Bool Source #

(>) :: ToolItemGroup -> ToolItemGroup -> Bool Source #

(>=) :: ToolItemGroup -> ToolItemGroup -> Bool Source #

max :: ToolItemGroup -> ToolItemGroup -> ToolItemGroup Source #

min :: ToolItemGroup -> ToolItemGroup -> ToolItemGroup Source #

GObjectClass ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ToolItemGroup -> GObject Source # unsafeCastGObject :: GObject -> ToolItemGroup Source #
ContainerClass ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolItemGroupClass ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ContainerClass o => ToolItemGroupClass o Source #

#### Instances

Instances details

ToolItemGroupClass ToolItemGroup Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToToolItemGroup :: GObjectClass obj => obj -> ToolItemGroup Source #

toToolItemGroup :: ToolItemGroupClass o => o -> ToolItemGroup Source #

# Constructors

toolItemGroupNew Source #

Arguments

:: GlibString string |
=> string | `label` the label of the new group
-> IO ToolItemGroup | returns a new `ToolItemGroup`.

Creates a new tool item group with label label.

- Available since Gtk+ version 2.20

# Methods

toolItemGroupGetDropItem :: ToolItemGroupClass self => self -> (Int, Int) -> IO ToolItem Source #

Gets the tool item at position (x, y).

- Available since Gtk+ version 2.20

toolItemGroupGetItemPosition Source #

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` a `ToolItem`
-> IO Int | returns the index of item in group or -1 if item is no child of group

Gets the position of item in group as index.

- Available since Gtk+ version 2.20

toolItemGroupGetNItems Source #

Arguments

:: ToolItemGroupClass group |
=> group |
-> IO Int | returns the number of tool items in group

Gets the number of tool items in group.

- Available since Gtk+ version 2.20

toolItemGroupGetNthItem Source #

Arguments

:: ToolItemGroupClass group |
=> group |
-> Int | `index` the index
-> IO ToolItem | returns the `ToolItem` at index

Gets the tool item at index in group.

- Available since Gtk+ version 2.20

toolItemGroupInsert Source #

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` the `ToolItem` to insert into group
-> Int | `position` the position of item in group, starting with 0. The position -1 means end of list.
-> IO () |

Inserts item at position in the list of children of group.

- Available since Gtk+ version 2.20

toolItemGroupSetItemPosition Source #

Arguments

:: (ToolItemGroupClass group, ToolItemClass item) |
=> group | `group` a `ToolItemGroup`
-> item | `item` the `ToolItem` to move to a new position, should be a child of group.
-> Int | `position` the new position of item in group, starting with 0. The position -1 means end of list.
-> IO () |

Sets the position of item in the list of children of group.

- Available since Gtk+ version 2.20

# Attributes

toolItemGroupCollapsed :: ToolItemGroupClass group => Attr group Bool Source #

Whether the group has been collapsed and items are hidden.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupEllipsize :: ToolItemGroupClass group => Attr group EllipsizeMode Source #

Ellipsize for item group headers.

Default value: EllipsizeNone

- Available since Gtk+ version 2.20

toolItemGroupHeaderRelief :: ToolItemGroupClass group => Attr group ReliefStyle Source #

Relief of the group header button.

Default value: `ReliefNormal`

- Available since Gtk+ version 2.20

toolItemGroupLabel :: (GlibString string, ToolItemGroupClass group) => Attr group string Source #

The human-readable title of this item group.

Default value: ""

- Available since Gtk+ version 2.20

toolItemGroupLabelWidget :: ToolItemGroupClass group => Attr group Widget Source #

A widget to display in place of the usual label.

- Available since Gtk+ version 2.20

# Child Attributes

toolItemGroupChildExpand :: ToolItemGroupClass group => Attr group Bool Source #

Whether the item should receive extra space when the group grows.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupChildFill :: ToolItemGroupClass group => Attr group Bool Source #

Whether the item should fill the available space.

Default value: `True`

- Available since Gtk+ version 2.20

toolItemGroupChildHomogeneous :: ToolItemGroupClass group => Attr group Bool Source #

Whether the item should be the same size as other homogeneous items.

Default value: `True`

- Available since Gtk+ version 2.20

toolItemGroupChildNewRow :: ToolItemGroupClass group => Attr group Bool Source #

Whether the item should start a new row.

Default value: `False`

- Available since Gtk+ version 2.20

toolItemGroupChildPosition :: ToolItemGroupClass group => Attr group Int Source #

Position of the item within this group.

Allowed values: >= 0

Default value: 0

- Available since Gtk+ version 2.20